package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

public class LREM extends ArithmeticInstruction implements ExceptionThrower {
   public LREM() {
      super((short)113);
   }

   public void accept(Visitor v) {
      v.visitExceptionThrower(this);
      v.visitTypedInstruction(this);
      v.visitStackProducer(this);
      v.visitStackConsumer(this);
      v.visitArithmeticInstruction(this);
      v.visitLREM(this);
   }

   public Class<?>[] getExceptions() {
      return new Class[]{ExceptionConst.ARITHMETIC_EXCEPTION};
   }
}
